- name: "Installs {{ cyrus_name }} custom PodSecurityPolicy"
  async: 30
  k8s:
    definition: "{{ lookup('template', 'psp.j2') }}"
  poll: 5
  when:
  - k8s_flavor == 'kubernetes'
  - do_podsecuritypolicy
- name: "Installs {{ cyrus_name }} custom SecurityContextConstraint"
  async: 30
  k8s:
    definition: "{{ lookup('template', 'scc.j2') }}"
  poll: 5
  when:
  - k8s_flavor == 'openshift'
- name: "Installs {{ cyrus_name }} custom Role"
  async: 30
  k8s:
    definition: "{{ lookup('template', 'role.j2') }}"
    state: "{{ 'present' if ((k8s_flavor == 'kubernetes'
                              and do_podsecuritypolicy)
                             or (k8s_flavor == 'openshift'))
                         else 'absent' }}"
  poll: 5
- include_role:
    name: commons
    tasks_from: helpers/serviceaccount.yaml
  vars:
    sa_name: "{{ cyrus_name }}"
    sa_status: "{{ 'present' if ((k8s_flavor == 'kubernetes'
                                  and do_podsecuritypolicy)
                                 or (k8s_flavor == 'openshift'))
                             else 'absent' }}"
- include_role:
    name: commons
    tasks_from: helpers/rolebinding.yaml
  vars:
    rb_kind: Role
    rb_name: "{{ cyrus_name }}"
    rb_role: "{{ cyrus_name }}"
    rb_state: "{{ 'present' if ((k8s_flavor == 'kubernetes'
                                 and do_podsecuritypolicy)
                                or (k8s_flavor == 'openshift'))
                            else 'absent' }}"
    rb_subject: "{{ cyrus_name }}"
    rb_subjkind: ServiceAccount
